#include <stdio.h>
#include "CheckBox.h"
#include "CheckBoxClass.h"
#include "AmigaMem.h"

#include "BuilderMethods.h"
#include "GraphicObject_Builder.h"
#include "CheckBox_Builder.h"
#include "Checkbox_coder.h"
#include "CheckBoxIO.h"

struct BuilderMethods CheckBox_bm;

long
WriteCheckBoxChunk( GraphicObject *gfxobj, FILE *file )
{
   return WriteValuatorChunk( gfxobj, file, CHKG );
}


void
patchCheckBoxClass( void )
{
   struct ValuatorClass *class;

   class = CheckBoxClass();

   class->BuilderMethods = &CheckBox_bm;
   go_InitBuilderMethods( &CheckBox_bm );

   CheckBox_bm.New       = (void*(*)(PObject *))CheckBox_New;
   CheckBox_bm.PropEdit  = (void(*)(struct GraphicObject *,struct pcgWindow *,pcg_3DPens))CheckBox_PropEdit;  /* problem compiling with DICE */
   CheckBox_bm.WriteCode = (void(*)(struct GraphicObject *,struct BuilderWindow *,FILE *,UWORD))CheckBox_WriteCode;
   CheckBox_bm.WriteIFF  = WriteCheckBoxChunk;
   CheckBox_bm.ReadIFF   = ReadValuatorChunk;

}
