#ifndef GRIDSNAPWINDOW_H
#define GRIDSNAPWINDOW_H

#include "intuition_typedefs.h"
#include "GridSnap.h"
#include "precognition.h"
#include "precognition3d.h"
#include "pcgWindow.h"
#include "pcgWindowClass.h"
#include "IntegerGadget.h"
#include "CheckBox.h"
#include "OutlineBox.h"
#include "PObject.h"

typedef struct GridSettings_Iactors
{
   OutlineBox     outline;
   IntegerGadget  offset_x, offset_y, gridsize_x, gridsize_y;
   CheckBox       OnOff;
} GridSettings_Iactors;


typedef struct GridSnapWindow
{
   pcgWindow            pw;


   GridSettings_Iactors location,
                        size;

   GridInfo             gridinfo;

} GridSnapWindow;


void GridSnapWindow_Init(  GridSnapWindow        *self,
                           Screen                *screen,
                           struct MsgPort        *sharedport,
                           pcg_3DPens             pens );


#endif
