#ifndef SELECTEDOBJECT_H
#define SELECTEDOBJECT_H

#include "GraphicObject.h"
#include "ImageBob.h"

typedef struct SelectedObject
{
   struct SelectedObject *Next;
   GraphicObject         *PObject;
   ImageBob               iBob;
} SelectedObject;


void so_DrawHighlight( RastPort       *rport,
                       SelectedObject *si,
                       Point           delta );


void so_DrawHighlights( RastPort       *rport,
                        SelectedObject *si,
                        Point           delta );


SelectedObject *so_SelectPObject( SelectedObject **chain,
                                 GraphicObject   *obj    );

#endif
