#ifndef PANELIO_H
#define PANELIO_H

#include <stdio.h>
#include "IFFio.h"
#include "Precognition.h"
#include "builderwindow.h"

#define PRCG MakeID( 'P','R','C','G')
   /* IFF chunk ID for a Precognition Form. */


#define PANL MakeID( 'P','A','N','L')
   /* IFF chunk ID for a Precognition Panel. */


int WritePrecogForm( FILE* file, BuilderWindow* panel );

int WritePanelForm( FILE* file, BuilderWindow* panel );

int WritePanelChunk( FILE* file, BuilderWindow* panel );

int ReadPrecogFile( FILE *file, BuilderWindow *panel );

int ReadPrecogForm( FILE* file, BuilderWindow* panel,
                     struct ChunkInfo *info );

int ReadPanelForm( FILE* file, BuilderWindow* panel, 
                     struct ChunkInfo *info );

int ReadPanelChunk( FILE* file, BuilderWindow* panel );

#endif