#ifndef GRAPHICOBJECT_PROPEDIT_H
#define GRAPHICOBJECT_PROPEDIT_H

#include "GraphicObject.h"
#include "pcgWindow.h"
#include "BuilderMethods.h"
#include "ClippedImageRastPort.h"

void GraphicObject_Free( GraphicObject *self );
   /* Frees the object, the title, and the PObjectName. */

void GraphicObject_PropEdit( GraphicObject *self,
                             pcgWindow     *window,
                             pcg_3DPens     pens );

/* This is a general purpose PropEditor. */

BOOL GraphicObject_InitImageBob( GraphicObject  *self,
                                 ImageBob       *ibob );
                              
void GraphicObject_CleanUpImageBob( GraphicObject   *self,
                                    ImageBob        *ibob );

void go_InitBuilderMethods( BuilderMethods *bm );
                                
#endif
