#include "patchclasses.h"

#ifdef __SASC
#define DECLARE_PATCH(name) void patch ##name## Class (void);
#define PATCH(name) patch ##name## Class ();

DECLARE_PATCH( BoolGadget )
DECLARE_PATCH( CheckBox )
DECLARE_PATCH( CycleGadget )
DECLARE_PATCH( HScroller )
DECLARE_PATCH( HSlider )
DECLARE_PATCH( IntegerGadget )
DECLARE_PATCH( ListEditor )
DECLARE_PATCH( OutlineBox )
DECLARE_PATCH( ScrollingList )
DECLARE_PATCH( StringGadget )
DECLARE_PATCH( TitleBox )
DECLARE_PATCH( VScroller )
DECLARE_PATCH( VSlider )

void patchClasses(void)
{
   PATCH( BoolGadget )
   PATCH( CheckBox )
   PATCH( CycleGadget )
   PATCH( HScroller )
   PATCH( HSlider )
   PATCH( IntegerGadget )
   PATCH( ListEditor )
   PATCH( OutlineBox )
   PATCH( ScrollingList )
   PATCH( StringGadget )
   PATCH( TitleBox )
   PATCH( VScroller )
   PATCH( VSlider )
}
#endif

#ifndef __SASC   /* Hand coded due to problems with DICE */

#if 0 /* this concat of three strings is broken */
#define DECLARE_PATCH(name) void patch ##name## Class (void);
#define PATCH(name) patch ##name## Class ();
#endif

void patchBoolGadgetClass( void );
void patchCheckBoxClass( void );
void patchCycleGadgetClass( void );
void patchHScrollerClass( void );
void patchHSliderClass( void );
void patchIntegerGadgetClass( void );
void patchListEditorClass( void );
void patchOutlineBoxClass( void );
void patchScrollingListClass( void );
void patchStringGadgetClass( void );
void patchTitleBoxClass( void );
void patchVScrollerClass( void );
void patchVSliderClass( void );

void patchClasses( void )
{
   patchBoolGadgetClass();
   patchCheckBoxClass();
   patchCycleGadgetClass();
   patchHScrollerClass();
   patchHSliderClass();
   patchIntegerGadgetClass();
   patchListEditorClass();
   patchOutlineBoxClass();
   patchScrollingListClass();
   patchStringGadgetClass();
   patchTitleBoxClass();
   patchVScrollerClass();
   patchVSliderClass();
}

#endif
