#ifndef EDITBOX_POINTERS_H
#define EDITBOX_POINTERS_H

#include <exec/types.h>
#include <intuition/intuition.h>
#include "Intuition_typedefs.h"

typedef enum EditBox_PointerTypes
   {
      eb_Hand,
      eb_LeftArrow,
      eb_LeftTopArrow,
      eb_TopArrow,
      eb_RightTopArrow,
      eb_RightArrow,
      eb_RightBottomArrow,
      eb_BottomArrow,
      eb_LeftBottomArrow
   
   } EditBox_PointerTypes;


void EditBox_SetPointer( Window *window, EditBox_PointerTypes type );

#endif

