#include "GelsSystem.h"
#include <stdlib.h>
#include <string.h> /* included for memset() prototype -- EDB */
#ifndef __GNUC__
#include <clib/graphics_protos.h>
#endif
#ifdef __GNUC__
#include <proto/graphics.h>
#endif
#ifdef __SASC
#include <proto/graphics.h>
#endif

void GelsSystem_Init( GelsSystem      *gs,
                      struct RastPort *RPort,
                      BYTE             reserved )

{
   memset( gs, 0, sizeof( GelsSystem ) );

   gs->GelsInfo.nextLine    = (WORD *)&gs->nextLine[0];
   gs->GelsInfo.lastColor   = (WORD **)&gs->lastColor[0];
   gs->GelsInfo.collHandler = &gs->collHandler;
   gs->GelsInfo.sprRsrvd    = reserved;
   gs->GelsInfo.leftmost    = 0;
   gs->GelsInfo.rightmost   = ( RPort->BitMap->BytesPerRow << 3 ) - 1;
   gs->GelsInfo.topmost     = 0;
   gs->GelsInfo.bottommost  = RPort->BitMap->Rows-1;

   RPort->GelsInfo          = &gs->GelsInfo;
   InitGels( &gs->vsHead, &gs->vsTail, &gs->GelsInfo );
}

