#ifndef GELSSYSTEM_H
#define GELSSYSTEM_H

#include <exec/types.h>
#include <intuition/intuition.h>
#include <graphics/gels.h>

typedef struct GelsSystem
   {
      struct GelsInfo  GelsInfo;
      LONG             nextLine[8];
      LONG             lastColor[8];
      struct collTable collHandler;
      struct VSprite   vsHead;
      struct VSprite   vsTail;
   } GelsSystem;


void GelsSystem_Init( GelsSystem      *gs, 
                      struct RastPort *RPort, 
                      BYTE             reserved );

#endif
