#include "GridSnap.h"


short SnapTo( short n, short offset, short grid )
{
   short m;

   n -= offset;
   m  = ( n + grid/2 ) / grid;

   return( (short)(m*grid + offset) );
}

Point GridSnap( Point coord, struct GridSettings gs )
{
   if( gs.OnOff )
   {
      coord.x = SnapTo( coord.x, gs.offset.x, gs.gridsize.x );
      coord.y = SnapTo( coord.y, gs.offset.y, gs.gridsize.y );
   }

   return coord;
}
