#ifndef IMAGEBOB_H
#define IMAGEBOB_H

#include <exec/types.h>
#include <graphics/gels.h>
#include "ClippedImageRastPort.h"

typedef struct ImageBob
{
   struct Image            Image;
   struct VSprite          VSprite;
   struct Bob              Bob;
   ClippedImageRastPort    ImagePort;
   ClippedImageRastPort    ShadowPort;
} ImageBob;


BOOL ImageBob_Init( ImageBob *ib, UWORD width, UWORD height, UWORD depth );


void ImageBob_CleanUp( ImageBob *ib );



BOOL ImageBob_InitImage( struct Image *image, 
                         UWORD         width, 
                         UWORD         height, 
                         UWORD         depth );

void ImageBob_CleanUpImage( struct Image *image );

BOOL ImageBob_InitVSpriteBob( ImageBob *ibob );

#endif

