#include "ChainedWindows.h"

pcgWindow *ChainedWindows_StartOfChain = NULL;

BOOL window_state = TRUE;

void AddWindowToChain( pcgWindow *window )
{
   pcgWindow *w;

   if( ChainedWindows_StartOfChain )
   {
      for( w = ChainedWindows_StartOfChain; w->Next != NULL; w = w->Next );

      w->Next = window;
   }
   else
      ChainedWindows_StartOfChain = window;
}


void RemoveWindowFromChain( pcgWindow *window )
{
   if( window == ChainedWindows_StartOfChain )
   {
      ChainedWindows_StartOfChain = window->Next;
   }
   else
   {
      pcgWindow* w;

      for( w = ChainedWindows_StartOfChain;
           w->Next != window;
           w = w->Next )
      {;}

      w->Next = window->Next;

   }

   window->Next = NULL;
}



void EnableAllChainedWindows( BOOL enable )
{
   pcgWindow *w;

   if( enable != window_state )
   {
      for( w = ChainedWindows_StartOfChain; w != NULL; w = w->Next )
         EnableIactor( (struct Interactor *)w, enable );

      window_state = enable;
   }
}



