#ifndef CODEWRITER_H
#define CODEWRITER_H

#define CODE_BANNER                    10
#define CODE_INCLUDES                  20
#define CODE_MAIN_GLOBALS              25
#define CODE_GLOBALS                   30

#define CODE_BEGIN_WSTRUCT             40
#define CODE_MIDDLE_WSTRUCT            50
#define CODE_END_WSTRUCT               60

#define CODE_PROTOS                    65

#define CODE_CTOR_FUNC                 70
#define CODE_CTOR_DECLS                80
#define CODE_CTOR_INITS                90
#define CODE_CTOR_BODY                 100
#define CODE_CTOR_FUNC_END             110

#define CODE_DTOR_FUNC                 200
#define CODE_DTOR_DECLS                210
#define CODE_DTOR_INITS                220
#define CODE_DTOR_BODY                 230
#define CODE_DTOR_FUNC_END             240

#define CODE_RESPOND_FUNC              300
#define CODE_RESPOND_DECLS             310
#define CODE_RESPOND_INITS             320
#define CODE_SWITCH                    330
#define CODE_CLOSEWINDOW_EVENT         340
#define CODE_REFRESHWINDOW_EVENT       350
#define CODE_DEFAULT_EVENT             360
#define CODE_DEFAULT_EVENT_END         368
#define CODE_END_SWITCH                370
#define CODE_END_IF                    380
#define CODE_RESPOND_END               390


#define CODE_DRIVER                    500

#define CODE_MAIN                      600

#endif
